Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

Get workspace

Get details about the current workspace

GET/workspace
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Responses
200

Workspace details

idstring<uuid>
namestring
slugstring
timezonestring | null
createdAtstring<date-time>
401

Unauthorized - Missing or invalid API key

codestring
messagestring
404

Not Found - Resource does not exist

codestring
messagestring
Try it
Server
Authorization
Request
curl -X GET 'https://app.tryordinal.com/api/v1/workspace' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "id": "550e8400-e29b-41d4-a716-446655440100",
  "name": "Acme Inc",
  "slug": "acme",
  "timezone": "America/New_York",
  "createdAt": "2025-01-01T00:00:00.000Z"
}